function [Gdisc_subj_idx_module,Gdisc_COV_mean_module]= Gdisc_subgroup(COV_SCV)
    clear r Kmean* N_sub subj_idx_module Gdisc_*
    for nn = 1:size(COV_SCV,3)
       [U_Cobre_SZ_50(:,:,nn),D_Cobre_SZ_50(:,:,nn),~] = svd(COV_SCV(:,:,nn),'econ');
       r(nn,:) = gershdisc(COV_SCV(:,:,nn));
       close all
       % check for how many eigenvalues are larger than smallest radius+1
        num_subgroup = sum(diag(D_Cobre_SZ_50(:,:,nn))>(min(r(nn,:)+1)));
        for ii = 1: num_subgroup
            [Kmeans_idex(:,ii),Kmeans_C,Kmeans_sumd,Kmeans_D] = kmeans(abs(U_Cobre_SZ_50(:,ii,nn)),2);
        end
        
        [Kmeans_idex_All,Kmeans_C,Kmeans_sumd,Kmeans_D] = kmeans(Kmeans_idex(:,ii),(num_subgroup+1));
    
        N_subs = max(Kmeans_idex_All);
        idx_module = [];
        clear subj_idx_module
        for j = 1:N_subs
            subj_idx_module{j} = find(Kmeans_idex_All==j);
            idx_module = [idx_module; find(Kmeans_idex_All==j)];
        end
        Gdisc_COV_mean_module(:,:,nn) = COV_SCV(idx_module,idx_module,nn);
        Gdisc_subj_idx_module{nn}=subj_idx_module;
        
    end
end
